%define module_version 1.0.0
%define module_name Crypt-Square
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(XSLoader.pm) perl(diagnostics.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.0.0
Release: alt8
Summary: Crypt::CBC-compliant block cipher
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/J/JC/JCDUQUE/%{module_name}-%{module_version}.tar.gz
# TODO: fix compilation on other arches
ExclusiveArch: %{ix86}

%description
Square is a 128-bit block cipher that accepts a 128-bit key. Designed
by Joan Daemen, Vincent Rijmen, and Lars Knudsen, Square is the
predecessor of Rijndael, aka the Advanced Encryption Standard.

This module supports the Crypt::CBC interface, with the following
functions.


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes examples
%perl_vendor_archlib/C*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 1.0.0-alt8
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 1.0.0-alt7
- rebuild with perl 5.34.0

* Sat Oct 03 2020 Cronbuild Service <cronbuild@altlinux.org> 1.0.0-alt6
- rebuild to get rid of unmets

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 1.0.0-alt5.1
- rebuild with perl 5.28.1

* Fri Dec 29 2017 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt5
- build with new perl 5.26

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 1.0.0-alt4
- rebuild to get rid of unmets

* Mon Nov 30 2015 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt3
- rebuild with perl 522

* Tue Dec 16 2014 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt2
- rebuild with perl 5.20.1

* Mon May 05 2014 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1
- initial import by package builder

